# How to call AddUser from C++

Here's an example for calling AddUser from C++:

{% code overflow="wrap" %}

```cpp
IQlmLicensePtr qlmLicense (__uuidof(QlmLicense));
qlmLicense->put_CommunicationEncryptionKey(_bstr_t("{B6163D99-F46A-4580-BB42-BF276A507A14}"));

CComBSTR bstrResponse;

qlmLicense->AddUser (
_bstr_t(m_qlmweburl),
_bstr_t("Jonathan Smith"),
_bstr_t ("jsmith@hotmail.com"),
_bstr_t ("514-876-1234"),
_bstr_t ("514-876-1235"),
_bstr_t ("514-876-1236"),
_bstr_t ("Interactive Studios"),
_bstr_t ("123 Interactive Road"),
_bstr_t ("Suite 123"),
_bstr_t ("Montreal"),
_bstr_t ("Quebec"),
_bstr_t ("H1K2P3"),
_bstr_t ("canada"),
_bstr_t (""),
_bstr_t ("no comments"),
TRUE,
&bstrResponse );

m_strResults = CString (bstrResponse);
ILicenseInfoPtr li (__uuidof(LicenseInfo));
CComBSTR bstrMessage;

if (qlmLicense->ParseResultsEx (_bstr_t(bstrResponse), li, &bstrMessage) == VARIANT_TRUE)
{
  // Display the bstrMessage to the end user for confirmation that the 
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/how-to/how-to-call-adduser-from-c++.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
